package com.ruoyi.project.ticket.service.impl;

import com.ruoyi.project.ticket.domain.PermitRelation;
import com.ruoyi.project.ticket.mapper.TPermitRelationMapper;
import com.ruoyi.project.ticket.service.ITPermitRelationService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 票据列表Service业务层处理
 *
 * @author ruoyi
 * @date 2021-10-25
 */
@Service
public class TPermitRelationServiceImpl implements ITPermitRelationService {

    @Resource
    private TPermitRelationMapper tPermitRelationMapper;

    /**
     * 查询票据列表
     *
     * @param permitRelation 票据列表
     * @return 票据列表
     */
    @Override
    public List<PermitRelation> selectPermitRelations(PermitRelation permitRelation) {
        return tPermitRelationMapper.selectPermitRelations(permitRelation);
    }

    @Override
    public Integer add(PermitRelation permitRelation) {
        return this.tPermitRelationMapper.insertPermitRelation(permitRelation);
    }
}
